ctimeToSeconds {oce} | R Documentation

## Interpret a character string as a time interval

### Description

Interpret a character string as a time interval Strings are of the form MM:SS or HH:MM:SS.

### Usage

    ctimeToSeconds(ctime)

### Arguments

`ctime` | a character string (see ‘Details’.

### Value

A numeric value, the number of seconds represented by the string.

### Author(s)

Dan Kelley

### See Also

See `secondsToCtime`, the inverse of this.

Other things related to time: `julianCenturyAnomaly`, `julianDay`, `numberAsHMS`, `numberAsPOSIXct`, `secondsToCtime`, `unabbreviateYear`

### Examples

    library(oce)
    cat("10      = ", ctimeToSeconds("10"), "s\n", sep="")
    cat("01:04   = ", ctimeToSeconds("01:04"), "s\n", sep="")
    cat("1:00:00 = ", ctimeToSeconds("1:00:00"), "s\n", sep="")

[Package oce version 0.9-22 Index]